View Issue Details

IDProjectCategoryLast Update
0019376AI War 2[All Projects] Audio WorkFeb 22, 2018 12:50 pm
Reporterx4000BughunterAssigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.702 Activating Mk1 Grinding Machine 
Fixed in Version0.708 
Summary0019376: Get the rest of the main voice acting categories recorded.
DescriptionStarship
Flagship
Ark
Turret
Spire
Zenith
Bomber
Corvette
Melee
MLRS
Sniper
Raider
MasterCombatant
Saboteur
AreaOfEffect

Also another batch of Watch Commander things.
TagsNo tags attached.

Relationships

related to 0019451 assignedx4000Bughunter More lines for the Watch Commander and Science Officer. 

Activities

BadgerBadger

Jan 26, 2018 2:31 pm

manager   ~0046749

There are also hooks for events concerning the Dyson minor faction. However, it might make more sense to have the Watch Commander say those lines

x4000Bughunter

Jan 26, 2018 4:17 pm

administrator   ~0046751

I prefer the idea of the Dyson sphere never speaking and being kind of inscrutable, so with that in mind I agree that having these get lumped into the lines for the Watch Commander would be a good thing.

x4000Bughunter

Feb 11, 2018 4:31 pm

administrator   ~0046960

Dyson sphere: Badger notes: the currently implemented voice hooks for the Dyson Sphere are

DysonLiberatedFromPlayer # the player owned the dyson sphere planet but the Planetary Constructor was just destroyed (so the dyson sphere πlanet is now unowned)
DysonLiberatedFromAI #the AI owned the Dyson Sphere, and the planetary controller was just destroyed (so the dyson sphere πlanet is now unowned)
DysonPlanetCapturedByPlayer #The player has just captured the Dyson Sphere planet (and the Dyson is now spawning ships extra fast to get rid of the humans)
DysonPlanetCapturedByAI #the AI just captured the Dyson Sphere planet
PlayerGainsDysonIntel #the Dyson Sphere planet is now visible to the Player (presumably the player just destroyed a Sensor Scrambler allowing the Dyson to be seen)

BadgerBadger

Feb 14, 2018 11:55 am

manager   ~0046974

Add support for a few Nanocaust hooks
PlayerGainsNanocaustIntel #the first time a player can see a Nanocaust planet, should give some exposition)
NanocaustFrenziesAgainstHumanArk, #The nanocaust is about to send a force against the player Ark in particular (think an Exo, but from the Nanocaust)

I have not yet implemented the following:
NanocaustFrenziesAgainstHumanPlanet, #the nanocaust is going to attack one of your planets
NanocaustFrenzyGeneric, #the nanocaust is going to attack something (similar to a Wave warning, but not necessarily against you). Could just be a "We're detecting a surge in Nanobot activity/energy levels", without the "and they are heading this way"
NanocaustHacked, #the player has hacked the Nanocaust, which is now going to attack the Master Controller. This is an alt-win condition and will require significant effort by the player to achieve
NanocaustHackingHint, #Suggests to the player that the Nanocaust might be hackable (like an AI hackable unit). Something like "Similar energy signatures as the AI" or "We've detected some weaknesses in the Nanocaust Communications Grid which we could explot if we could find their hive".
DevourerHeadingForFleet, #the Devourer is heading for your fleet (this is scarier than just eating some turrets)
DevourerHeadingForHumanPlanet, #the devourer is heading for a planet you own, though the planet is not where your fleet is
ZenithTraderReadyToTrade, #the zenith trader has arrived at human space and has some wares for sale

but you probably should get those recorded as well.

You might also want to do
DevourerHeadingForArk
DevourerHeadingForMasterController
as well, in case someone manages to make some Devourer alternate win conditions. I can imagine some fun scenarios for having the Devourer explicitly try to kill you or the AI. Imagine if on high Devourer difficulty settings the AI builds a "Devourer-Enticer" that makes the Ark smell like fresh chocolate chip cookies, and you have to blow up the Devourer-Enticer before the Devourer gets your Ark (or you can hack it to make the Master Controller smell like chocolate chip cookies). Now I'm hungry....

x4000Bughunter

Feb 14, 2018 1:01 pm

administrator   ~0046975

10-4!

x4000Bughunter

Feb 15, 2018 3:22 pm

administrator   ~0046986

From Badger:

Speaking of resources, you should get some "Running low on Metal" voice lines too. That's more critical. You can lose a fight because you ran out of metal to rebuild. You are unlikely to lose a fight because you ran out of fuel (if you run out during a fight that's because you had some other build Qs running elsewhere or because some fuel generators have been destroyed)

For "Low on fuel", here's my first suggestion. Put a check in HumanSpecialFaction::DoPerSecond that looks like this.

int threshold = MAX(fuel cost for 2 starships, 1/10 maxFuel); //values are made up and can stand adjustment

if(recentlyHadMoreFuel && (availableFuel <= threshold))
    play Low on Fuel
    recentlyHadMoreFuel = false
if(fuel >= threshold * 3)
     recentlyHadMoreFuel = true;

This way if you have used up most of your fuel you won't get repeated messages for losing/rebuilding a few fighters.

x4000Bughunter

Feb 22, 2018 12:50 pm

administrator   ~0047041

* The voice lines for all of the First Officers, Vice-Admirals, and Brigadier Generals are all now recorded.
** There are still some lines left to record for the Watch Commander and Science Officer, but that's it. The bulk of the lines for the Watch Commander, and all of the lines for the Engineering Chief are already recorded.
** There will also be new lines needed for the Former Admiral of the Fleet, but again that's separate.

Issue History

Date Modified Username Field Change
Jan 26, 2018 1:44 pm x4000Bughunter New Issue
Jan 26, 2018 1:44 pm x4000Bughunter Status new => assigned
Jan 26, 2018 1:44 pm x4000Bughunter Assigned To => x4000Bughunter
Jan 26, 2018 2:31 pm BadgerBadger Note Added: 0046749
Jan 26, 2018 4:17 pm x4000Bughunter Note Added: 0046751
Feb 11, 2018 4:31 pm x4000Bughunter Note Added: 0046960
Feb 14, 2018 11:55 am BadgerBadger Note Added: 0046974
Feb 14, 2018 1:01 pm x4000Bughunter Note Added: 0046975
Feb 15, 2018 3:22 pm x4000Bughunter Note Added: 0046986
Feb 22, 2018 12:48 pm x4000Bughunter Relationship added related to 0019451
Feb 22, 2018 12:50 pm x4000Bughunter Status assigned => resolved
Feb 22, 2018 12:50 pm x4000Bughunter Resolution open => fixed
Feb 22, 2018 12:50 pm x4000Bughunter Fixed in Version => 0.708
Feb 22, 2018 12:50 pm x4000Bughunter Note Added: 0047041